#!/usr/bin/env python

# Setup file for BTree modules
# Python ext. modules written by Digital Creations <http://www.digicool.com>
# setup.py written by A.M. Kuchling <amk1@bigfoot.com>

from distutils.core import setup
from distutils.extension import Extension

# Set the include directory for ZODB/cPersistence.h; if this script is
# being executed directly, assume ZODB has already
# been installed

if __name__ == '__main__':
    include_dirs = []
else:
    include_dirs = ['..']

modlist = []
for modname in ['BTree', 'IIBTree', 'IOBTree', 'OIBTree', 'intSet']:
    ext = Extension(name = modname,
                    include_dirs = include_dirs,
                    sources= [modname + '.c']
                    )
    modlist.append( ext )
    
setup(name = "BTree", 
      version = "2.2.1",
      description = "BTree extension modules",
      author = "Digital Creations",
      author_email = "zope-zeo@zope.org",
      url = "http://www.zope.org",

      ext_modules = modlist
      )

