#!/usr/bin/env python

# Setup file for DCOracle
# Python modules written by Digital Creations <http://www.digicool.com>
# setup.py written by A.M. Kuchling <amk1@bigfoot.com>

import os
from distutils.core import setup
from distutils.extension import Extension

# Set Oracle include and library names

ORACLE_HOME = os.environ['ORACLE_HOME']


# XXX add definitions for other versions here
if 1:
    # Definitions for Oracle 8.0.5, shared library build on Linux
    ORACLE_INCLUDES = ['rdbms/demo', 'plsql/public', 'network/public']
    ORACLE_LIBS = ['clntsh', 'common', 'core4', 'nlsrtl3']
    ORACLE_LIBDIRS = [ 'lib' ]

# Prefix all the directories with the Oracle home directory
ORACLE_INCLUDES = map(lambda x: os.path.join(ORACLE_HOME, x), ORACLE_LIBDIRS)
ORACLE_LIBDIRS = map(lambda x: os.path.join(ORACLE_HOME, x), ORACLE_LIBDIRS)

# Definitions for extension modules

buffer = Extension(name = 'Buffer',
                   sources= ['src/Buffer.c']
                   )
oci_ = Extension(name = 'oci_',
                         include_dirs = ORACLE_INCLUDES,
                         libraries    = ORACLE_LIBS,
                         library_dirs = ORACLE_LIBDIRS,
                         sources= ['src/oci_.c']
                         )

setup(name = "DCOracle", 
      version = "1.3.1b1",
      description = "Python interface to Oracle",
      author = "Digital Creations",
      author_email = "zope-dev@zope.org",
      url = "http://www.zope.org",

      packages=['DCOracle'],
      
#      ext_modules = [buffer, oci_],
      )

