#!/usr/bin/env python

# Setup file for ZEO
# ZEO written by Digital Creations <http://www.digicool.com>
# setup.py written by A.M. Kuchling <amk1@bigfoot.com>

from distutils.core import setup
from distutils.extension import Extension

# Check if this is being built for Python 1.5.2; if so, we'll have to build
# cPickle, too.
import sys
if sys.hexversion < 0x01060000:
    ext_modules = [Extension(name = 'ZEO.cPickle',
                             sources = ['cPickle.c']) ]
    async_modules = ['ZEO.asyncore', 'ZEO.asynchat']
else:
    ext_modules = []
    async_modules = []

zeo_modules = ['ZEO.ClientCache', 'ZEO.ClientStorage',
               'ZEO.Invalidator', 'ZEO.StorageServer',
               'ZEO.__init__', 'ZEO.fap', 'ZEO.smac', 'ZEO.start',
               'ZEO.zrpc']

setup(name = "ZEO", 
      version = "1.0b3",
      description = "Zope Enterprise Option",
      author = "Digital Creations",
      author_email = "zope-zeo@zope.org",
      url = "http://www.zope.org/Products/ZEO",

      ext_modules = ext_modules,
      py_modules = zeo_modules + async_modules,
      data_files = [("etc", ["zeo.conf"]),
                    ("/etc/rc.d/init.d", ["misc/zeo"]),
                    ("/usr/local/bin", ["misc/zeod"]),
                    ]
      )
