#!/usr/bin/env python

# Top-level script for running a command-line over all the subpackages

import sys, os, glob
from distutils.core import run_setup, USAGE

if len(sys.argv) == 1:
    print USAGE % {'script': sys.argv[0]}
    sys.exit(0)
    
files = os.listdir('.')
dirs = filter(os.path.isdir, files)
packages = []
for dir in dirs:
    if ( os.path.exists( os.path.join( dir, 'setup.py') )
         and dir not in ['DCOracle'] ):
        packages.append( dir )

top_dir = os.getcwd()
for package_dir in packages:
    print 'Running', package_dir
    os.chdir( package_dir )
    dist = run_setup('setup.py', script_args=sys.argv[1:], stop_after="run")
    os.chdir( top_dir )
                               

